This module integrates the CKEditor "Print" plugin.

This plugin activates the printing function. A standard operating system printing pop-up window will appear where you will be able to choose the printer as well as all relevant options.

DEPENDENCIES
------------

**Important!** 

This module requires to install the CKEditor "Print" plugin.

HOW TO INSTALL DEPENDENCIES VIA COMPOSER:

1. Add ckeditor/tableselection repositories to your `composer.json`.

```
"repositories": [
    {
        "type": "package",
        "package": {
            "name": "ckeditor/print",
            "version": "4.9.1",
            "type": "drupal-library",
            "dist": {
                "url": "https://download.ckeditor.com/print/releases/print_4.9.1.zip",
                "type": "zip"
            }
        }
    }
],
```

2. Execute `composer require ckeditor/print`
3. Make sure there is the file `libraries/print/plugin.js`.

HOW TO INSTALL DEPENDENCIES MANUALLY:
1. Download the plugin on the project page: https://ckeditor.com/addon/print
2. Create a libraries folder in your drupal root if it doesn't exist
3. Extract the plugin archive in the librairies folder
4. Make sure there is the file `libraries/print/plugin.js`.

HOW TO USE
-----------
- Go to the format and editor config page and click configure on the format you want to edit : http://example.com/admin/config/content/formats
- Add the Print plugin button in your editor toolbar.
- Save, that's it, "Print" plugin will automatically start to work once you have the "Print" button in the CKEditor toolbar.

